/* Forms CSS Document */

.sortFilter {
	position: relative;
	width: 90%;
	margin: 10px auto 0;
}
	
.searchForm {
	width: 90%;
	margin: 20px auto 0;
	display: flex;
	justify-content: space-between;
	gap: 0 10px;
}

.searchForm select {
	width: 100%;
}

.selectWrap {
	width: 100%;
	height: 34px;
	padding: 0;
	position:relative;
}

.attributes .selectWrap {
	margin: 0 0 10px 0;
}

span.selectInner {
	font-family: Arial, Helvetica, sans-serif;
	font-weight: bold;
	position:absolute;
	display: block;
	margin: 0;
	width: calc(100% - 25px);
	height: 34px; 
	line-height: 34px; 
	color: #333;
	white-space: nowrap;
	overflow: hidden;
	text-align: center;
	padding-right: 25px;
	text-overflow: ellipsis;
	font-size: min(3.5vw, 15pt);
	z-index:1;
	background: url('../images/ddarrow.png') no-repeat 100% 0px #e1e1e1; 
	-webkit-border-radius: 4px;
	-moz-border-radius: 4px;
	-ms-border-radius: 4px;
	-o-border-radius: 4px;
	border-radius: 4px;
	-webkit-box-shadow: 0 1px 3px rgba(0,0,0,0.3);
	-moz-box-shadow: 0 1px 3px rgba(0,0,0,0.3);
	-ms-box-shadow: 0 1px 3px rgba(0,0,0,0.3);
	-o-box-shadow: 0 1px 3px rgba(0,0,0,0.3);
	box-shadow: 0 1px 3px rgba(0,0,0,0.3);
	}

#home_darts_points-Wrapper span.selectInner,
#away_darts_points-Wrapper span.selectInner,
#home_crib_points-Wrapper span.selectInner,
#away_crib_points-Wrapper span.selectInner,
#home_slipup_result-Wrapper span.selectInner,
#away_slipup_result-Wrapper span.selectInner,
#home_ko_darts_points-Wrapper span.selectInner,
#away_ko_darts_points-Wrapper span.selectInner,
#home_ko_crib_points-Wrapper span.selectInner,
#away_ko_crib_points-Wrapper span.selectInner
{
	font-size: min(4vw, 15pt);
	}	

select {
	width: 100%;
	height: 34px; 
	position: absolute;
	left: 0;
	z-index: 2;
	padding: 0;
	font-size: 14pt;
	margin: 0;
	border: 0 none;
	float: none;
	opacity: 0;
	filter: alpha(opacity=0);
	-ms-filter:"progid:DXImageTransform.Microsoft.Alpha(Opacity=0)";
	-webkit-appearance: menulist-button;
	cursor: pointer;
}

.button, button, .button:visited, .button_delete, .button_delete:visited, .button_import, .button_import:visited {
	font-family: 'fjalla';
	font-size: min(4vw, 16pt);
	font-weight: normal;
	text-decoration: none;
	padding: 5px 10px;
	background-color: #cc0000;
	color : #FFFFFF;
	border: none;
	text-align: center;
	-moz-border-radius: 15px;
	-webkit-border-radius: 15px;
	border-radius: 15px;
	cursor: default;
}

.button_delete, .button_delete:visited {
	font-size: min(3.5vw, 14pt);
	background-color: #cc0000;
	white-space: nowrap;
}

.button_delete img {
	height: 15px;
	width: auto;
}

.button_import, .button_import:visited {
	font-size: min(3.5vw, 14pt);
	background-color: #cc0000;
	white-space: nowrap;
}

.inputLabel {
	font-size: min(3.5vw, 14pt);
	width:45%;
	text-align: left;
}

.koinputLabel {
	font-size: min(3.5vw, 14pt);
	width:30%;
	text-align: left;
	display: flex;
	align-items: center;
}

input[type="text"], input[type="password"]  {
	font-size: min(3.5vw, 15pt);
	text-align: left;
	flex-grow: 1;
	padding: 6px 0;
	-moz-border-radius: 5px;
	-webkit-border-radius: 5px;
	border-radius: 5px;
	border: 0;
	text-align: center;
	background: #e1e1e1;
	font-weight: bold;
}

input[type="checkbox"]  {
  width: 40px;
  height: 40px;
  color: #fff;
  vertical-align: middle;
  -webkit-appearance: none;
  background: none;
  border: 0;
  outline: 0;
  flex-grow: 0;
  border-radius: 5px;
  background-color: #e1e1e1;
  transition: background 300ms;
  cursor: pointer;
}

.teamMap {
	font-size: min(3vw, 12pt);
	text-align: left;
	flex-grow: 1;
	padding: 5px;
	-moz-border-radius: 5px;
	-webkit-border-radius: 5px;
	border-radius: 5px;
	border: 0;
	text-align: left;
	background: #e1e1e1;
	width: 80%;
	height: 200px;
}

input[type=checkbox]::before {
  content: "";
  color: transparent;
  display: block;
  width: inherit;
  height: inherit;
  border-radius: inherit;
  border: 0;
  background-color: transparent;
  background-size: contain;
  box-shadow: inset 0 0 0 1px #CCD3D8;
}

/* Checked */
input[type=checkbox]:checked {
  background-color: currentcolor;
}

input[type=checkbox]:checked::before {
  box-shadow: none;
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='30' height='30' viewBox='0 0 24 24'%3E %3Cpath d='M15.88 8.29L10 14.17l-1.88-1.88a.996.996 0 1 0-1.41 1.41l2.59 2.59c.39.39 1.02.39 1.41 0L17.3 9.7a.996.996 0 0 0 0-1.41c-.39-.39-1.03-.39-1.42 0z' fill='%23000'/%3E %3C/svg%3E");
}

.koinputLabel input[type="checkbox"] {
	font-size: min(4vw, 15pt);
	width: 25px;
	height: 25px;
	-moz-border-radius: 5px;
	-webkit-border-radius: 5px;
	border-radius: 5px;
	border: 0;
}
